# Docker support for the NP-TMcode project

This Dockerfile allows to create mainly:

- the np-tmcode image that is used by the gitlab pipeline runner to test compile and execution of requested merges
- the np-tmcode-run image, that contains only the pre-built executables, python test scripts, compiled documentation, and the minimal runtime to run them

In order for the docker build to correctly set the context, so that it can access the directories containing source codes, docker build must be invoked from this directory as:

   > docker build -f Dockerfile ../.. --target \<image name\>

where `<image name>` is either `np-tmcode` or `np-tmcode-run`. One may also add the docker build option `-t tagname` to specify the `tagname` the built image should have in his/her registry.

# License

   Copyright (C) 2024   INAF - Osservatorio Astronomico di Cagliari

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   A copy of the GNU General Public License is distributed along with
   this program in the COPYING file. If not, see: <https://www.gnu.org/licenses/>.
